Subject: Re: Kernel locks up after calling kernel_execve()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 09 Nov 2007 10:20:17 +1100

On Thu, 2007-11-08 at 22:47 +0100, Gerhard Pircher wrote:
> Hi,
> 
> I tested my patches for the AmigaOne platform with the lastest 2.6.24-rc2
> kernel snapshot. The kernel runs through all initcalls, but locks up
> completely after calling INIT (/sbin/init) by kernel_execve(). Thus I
> couldn't capture any kernel oops or panic output. Also the magic sysrq
> key doesn't work. Enabling debug code for soft lockups and spinlock
> debugging didn't reveal any information.
> I'm not sure, but I think it is the same problem I had with all kernels
> >= 2.6.17. All of these kernels lock up shortly before or right at calling
> the init program (resp. as soon as the kernel forks some kernel theads).
> Any suggestions on how to track down this problem?

You don't have a HW debugger or anything like that ?

Ben.